
package com.mobula.sample;

import android.app.Application;
import android.util.Log;

import com.daps.weather.DapWeather;
import com.daps.weather.notification.DapWeatherNotification;
import com.duapps.ad.base.DuAdNetwork;


public class DemoApplication extends Application {

    private static final String TAG = DemoApplication.class.getSimpleName();

    @Override
    public void onCreate() {
        super.onCreate();
        String str = "{\n" +
                "  \"weather\": [\n" +
                "    {\n" +
                "      \"pid\": \"137913\"\n" +
                "    }\n" +
                "  ]\n" +
                "}";
        DuAdNetwork.init(this, str);
        //开启位置监听
        //Enable location listener
        DapWeather.init((Application) getApplicationContext(), 137913);

        //初始化通知栏
        //Initialize notification
        DapWeatherNotification notification = DapWeatherNotification.getInstance(getApplicationContext());

        //true为常驻通知栏false为临时通知栏
        //”true” for Resident notification bar. “False” for temporary notification bar
        notification.setOngoing(true);

        //是否开启push升降温功能，默认是true
        // Enable or disable notification for temperature rise or drop，default value is true
        notification.setPushElevatingTemperature(true);

        //是否开启push今天和明日天气功能，默认是true
        //Enable or disable  notification for today and tomorrow's weather or not，default value is true
        notification.setPushTodayTomorrowWeather(true);

        //设置通知栏监听
        //set notification listener
        notification.setNotificationClickListener(new DapWeatherNotification.WeatherNotificationListener() {
            @Override
            public void onClick(int weatherType) {
                Log.e(TAG, "onClick weatherType:" + weatherType);
            }

            @Override
            public void onShow(int weatherType) {
                Log.e(TAG, "onShow weatherType:" + weatherType);
            }
        });
    }
}
