package com.mobula.sample;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.RelativeLayout;

import com.daps.weather.floatdisplay.FloatDisplayController;
import com.daps.weather.weathercard.DapWeatherView;

public class MainActivity extends AppCompatActivity {
    private static final String TAG = MainActivity.class.getSimpleName();
    private static String TOOLBOX_AD_CONFIG = "dxtoolbox.json";
    private DapWeatherView mDuWeatherView;
    private boolean isShow = true;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        //卡片入口
        //Add weather card View
        RelativeLayout rl = (RelativeLayout) findViewById(R.id.demo_weather_view_rl);
        mDuWeatherView = new DapWeatherView(this);
        rl.addView(mDuWeatherView);
        findViewById(R.id.btn_weather_view).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //天气卡片加载天气数据，有数据自动填充DapWeatherView卡片
                // load weather data, SDK will auto-fill DapWeatherView card if data is loaded.
                mDuWeatherView.load();
            }
        });

        //悬浮框入口
        //Floating window
        findViewById(R.id.btn_weather_suspension).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //悬浮窗入口，传入true开启，false关闭。
                // Floating window entrance，input “true” to enable，input ”false” to disable.
                FloatDisplayController.setFloatSerachWindowIsShow(getApplicationContext(), isShow);
                isShow = !isShow;
            }
        });
    }

}
